Subject: bug#39576: closed (qdbm)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Feb 2020 16:50:02 +0000

Your bug report

#39576: qdbm: fix segfault during test

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39576: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39576
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: qdbm
From: Thomas Danckaert <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 22 Feb 2020 17:49:23 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Tobias,

I haven't contributed in a while (a job change made it harder), but 
I'm still an enthusiastic user.

Sorry for the late reply!  It seems like your answer didn't get 
forwarded to my mailbox (either that, or I accidentally removed it... 
I feel both are equally likely), so I only noticed when browsing the 
guix-patches web interface some time later.

I followed your suggestion about (list ...) and pushed the patch 
(after some gpg key expiry date song and dance...).

Thomas

Subject: qdbm: fix segfault during test
From: Thomas Danckaert <[email-masked]>
To: [email-masked]
Date: Wed, 12 Feb 2020 16:14:57 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

at some point, the package qdbm started running into a segfault 
during the test suite.   This small patch fixes that.

If it's ok, I can push the commit myself (I believe I still have 
commit rights), but since I haven't contributed in 2 years, I wanted 
to check if the patch meets all the requirements...

best,

Thomas
From bd557d5f63197712bbe5cde8f4a80e152b7ec586 Mon Sep 17 00:00:00 2001
From: Thomas Danckaert <[email-masked]>
Date: Wed, 12 Feb 2020 15:31:49 +0100
Subject: [PATCH] gnu: qdbm: Fix segfault during tests.

gnu/packages/databses.scm (qdbm): Add "CFLAGS=-fPIC" to make-flags.
---
 gnu/packages/databases.scm | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/databases.scm b/gnu/packages/databases.scm
index 587d993918..1cec7743b2 100644
--- a/gnu/packages/databases.scm
+++ b/gnu/packages/databases.scm
@@ -19,7 +19,7 @@
 ;;; Copyright © 2016 Danny Milosavljevic <[email-masked]>
 ;;; Copyright © 2016, 2017, 2018, 2019 Marius Bakke <[email-masked]>
 ;;; Copyright © 2017, 2018 Julien Lepiller <[email-masked]>
-;;; Copyright © 2017 Thomas Danckaert <[email-masked]>
+;;; Copyright © 2017, 2020 Thomas Danckaert <[email-masked]>
 ;;; Copyright © 2017 Jelle Licht <[email-masked]>
 ;;; Copyright © 2017 Adriano Peluso <[email-masked]>
 ;;; Copyright © 2017 Arun Isaac <[email-masked]>
@@ -1060,9 +1060,10 @@ Most public APIs are compatible with @command{mysqlclient} and MySQLdb.")
          "0gmpvhn02pkq280ffmn4da1g4mdr1xxz7l80b7y4n7km1mrzwrml"))))
     (build-system gnu-build-system)
     (arguments
-     `( #:configure-flags (list (string-append "LDFLAGS=-Wl,-rpath="
-                                               (assoc-ref %outputs "out")
-                                               "/lib"))))
+     `(#:configure-flags (list (string-append "LDFLAGS=-Wl,-rpath="
+                                              (assoc-ref %outputs "out")
+                                              "/lib"))
+       #:make-flags '("CFLAGS=-fPIC")))
     (home-page "http://fallabs.com/qdbm")
     (synopsis "Key-value database")
     (description "QDBM is a library of routines for managing a
-- 
2.25.0